CVE-2016-2145

Published on: 04/15/2016 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:27:16 PM UTC

CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Certain versions of Fedora from Fedoraproject contain the following vulnerability:

The am_read_post_data function in mod_auth_mellon before 0.11.1 does not check if the ap_get_client_block function returns an error, which allows remote attackers to cause a denial of service (segmentation fault and process crash) via a crafted POST data.

  • CVE-2016-2145 has been assigned by [email protected] to track the vulnerability - currently rated as HIGH severity.

CVSS3 Score: 7.5 - HIGH

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED NONE NONE HIGH

CVSS2 Score: 5 - MEDIUM

Access
Vector
Access
Complexity
Authentication
NETWORK LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
NONE NONE PARTIAL

CVE References

Description Tags Link
Handle ap_get_client_block() error in am_read_post_data() by vrasneur · Pull Request #71 · UNINETT/mod_auth_mellon · GitHub Patch
github.com
text/html
URL Logo CONFIRM github.com/UNINETT/mod_auth_mellon/pull/71
modmellon - For discussions about mod_mellon Apache module. - arc_protect sympa.uninett.no
text/xml
URL Logo MLIST [modmellon] 20160309 security update: mod_auth_mellon version 0.11.1
[SECURITY] Fedora 23 Update: mod_auth_mellon-0.11.1-1.fc23 lists.fedoraproject.org
text/html
URL Logo FEDORA FEDORA-2016-5cf6959198

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
Operating
System
FedoraprojectFedora23AllAllAll
Operating
System
FedoraprojectFedora23AllAllAll
ApplicationUninettMod Auth MellonAllAllAllAll
  • cpe:2.3:o:fedoraproject:fedora:23:*:*:*:*:*:*:*:
  • cpe:2.3:o:fedoraproject:fedora:23:*:*:*:*:*:*:*:
  • cpe:2.3:a:uninett:mod_auth_mellon:*:*:*:*:*:*:*:*: